Bug 1125014 - Missing -static subpackage for bzip2
Summary: Missing -static subpackage for bzip2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bzip2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 20:45 UTC by Chuck Atkins
Modified: 2014-08-07 06:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 06:50:37 UTC


Attachments (Terms of Use)

Description Chuck Atkins 2014-07-30 20:45:16 UTC
Description of problem:
Static bzip2 libraries are not available.

Version-Release number of selected component (if applicable):
All versions after bzip2-1.0.5-5.fc11

Expected results:
The presence of a bzip2-static package containing /usr/lib64/libbz2.a

Additional info:
Related to https://bugzilla.redhat.com/show_bug.cgi?id=486593. The solution to removing the static libraries from -devel package was to just remove them entirely.  The static libraries should still be made available, however, as a seperate bzip2-static package.

Comment 1 Jan Chaloupka 2014-08-04 10:03:12 UTC
Hello, Chuck,

can you justify, why you need static library? Dynamic one is not enough?

Comment 2 Chuck Atkins 2014-08-04 21:09:09 UTC
Really the same reason any static libraries are needed: they're useful to have for software development.  It's also a matter of consistency for the core system compression as zlib-static and xz-static are available.  The only people that really use the foo-static packages are C and C++ developers but they're useful to have around to keep your dependencies consistent.  Usually static libs are nice to have to make the executables you build portable to Linux systems.

It just seems arbitrary to have them available for some system packages and not others.

Comment 3 Jan Chaloupka 2014-08-07 06:50:37 UTC
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

"In general, packagers are strongly encouraged not to ship static libs unless a compelling reason exists."

Still, is there a problem using the dynamic one? For development, you can locally build static bzip2 library and use it (edit spec file, can send you a patch).

It can be nice to have them on your system but it does not mean they should be there. Besides, if I rebuild the bzip2 package for some security issue, you will have to rebuild your package too. How can I know you will get this information? Via dynamic library, this is just a matter of package update.

Still don't see a reason why there should be the static subpackage. If you believe I am wrong, please, email devel@lists.fedoraproject.org and discuss this issue with them.


Note You need to log in before you can comment on or make changes to this bug.